dash (0.5.12-6ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2026730). Remaining changes:
    - d/t/control: Disable mmdebstrap autopkgtest test-case, 
                   testing only the Debian archive.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Tue, 11 Jul 2023 12:03:53 +0300

dash (0.5.12-6) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: use copy-host-apt-sources-and-preferences hook.
     - use the hook provided by mmdebstrap instead of cooking up our own
       thing, thus preventing code duplication
     - this also copies over apt pinning rules which were missing before

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 21 Jun 2023 13:28:50 +0200

dash (0.5.12-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * dash.postinst: fix installing with --path-exclude=/usr/share/man/*
    (Closes: #1038067)

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 17 Jun 2023 12:34:23 +0200

dash (0.5.12-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 12 Jun 2023 16:17:05 +0200

dash (0.5.12-3) experimental; urgency=medium

  [ Andrej Shadura ]
  * Fix bug number in the patch description

  [ Helmut Grohne ]
  * dash.postinst: Remove upgrade path from pre-sarge ash. (Closes:
    #989419)
  * Remove unnecessary diversion in case /bin/sh points to dash. (Closes:
    #989632)

  [ Luca Boccassi ]
  * dash.postinst: remove unused function

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 30 Apr 2023 15:53:24 +0200

dash (0.5.12-2ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Disable the mmdebstrap autopkg test, testing only the Debian archive.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Feb 2023 15:09:13 -0600

dash (0.5.12-2) unstable; urgency=medium

  * Fix the changelog entry.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 05 Jan 2023 14:20:48 +0100

dash (0.5.12-1) unstable; urgency=medium

  * New upstream release (Closes: #1017531, #1024635).
  * Refresh patches.
  * Apply upstream patches for hash, ulimit and manpages
    (Closes: #558607, #819829, #975325, #975326).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 05 Jan 2023 14:06:02 +0100

dash (0.5.11+git20210903+057cd650a4ed-9ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable the mmdebstrap autopkg test, testing only the Debian archive.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2022 09:12:49 +0100

dash (0.5.11+git20210903+057cd650a4ed-9) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: create chroot with the same apt sources as
    autopkgtest (Closes: #1016554).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 01 Sep 2022 16:11:54 +0200

dash (0.5.11+git20210903+057cd650a4ed-8ubuntu1) kinetic; urgency=medium

  * Disable the mmdebstrap autopkg test, testing only the Debian archive.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Jun 2022 12:14:04 +0200

dash (0.5.11+git20210903+057cd650a4ed-8) unstable; urgency=medium

  * Remove the remnants of the debconf shell question
    (Closes: #1007093, #1007241).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 14 Mar 2022 15:11:00 +0100

dash (0.5.11+git20210903+057cd650a4ed-7) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: fix running on debci and add more comments.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 05 Mar 2022 11:32:15 +0100

dash (0.5.11+git20210903+057cd650a4ed-6) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/dash.postinst: fix missing ].
  * Add autopkgtest installing dash into a fresh chroot.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 Mar 2022 22:19:03 +0100

dash (0.5.11+git20210903+057cd650a4ed-5) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * dpkg-realpath has a /bin/sh shebang and can thus not be used when /bin/sh is temporarily not available.
  * debian/dash.postinst: restore DPKG_ROOT support.
  * debian/dash.postinst: Move check if dfile exists further up.
  * Closes: #1006771

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 Mar 2022 18:34:16 +0100

dash (0.5.11+git20210903+057cd650a4ed-4) unstable; urgency=medium

  [ Andrej Shadura ]
  * Stop using debconf to select the default /bin/sh.
  * Don’t use external fnmatch/glob.
  * Apply upstream patch to check executable bit when searching path
    (Closes: #874264)
  * Drop po files from debian/copyright.
  * Sort debian/copyright.
  * Update copyright years.

  [ Johannes Schauer Marin Rodrigues ]
  * Replace add-shell/remove-shell with declarative shells.d trigger
    (Closes: #1004172)
  * Allow downgrades to dash versions before it started using update-shells.
  * debian/dash.postinst: reproducible symlink mtime using symlink target
    mtime.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 03 Mar 2022 17:40:59 +0100

dash (0.5.11+git20210903+057cd650a4ed-3) unstable; urgency=medium

  * Revert "Enable libedit".
  * Revert "Re-enable LINENO support".

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 03 Nov 2021 11:51:39 +0100

dash (0.5.11+git20210903+057cd650a4ed-2) unstable; urgency=medium

  * Re-enable LINENO support (Closes: #842242)/
  * Enable libedit (Closes: #524839, #561663).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 02 Nov 2021 12:58:31 +0100

dash (0.5.11+git20210903+057cd650a4ed-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 29 Oct 2021 09:21:09 +0200

dash (0.5.11+git20210120+802ebd4-2) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * Support DPKG_ROOT.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 23 Oct 2021 11:44:50 +0200

dash (0.5.11+git20210120+802ebd4-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop a patch applied upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Mar 2021 10:22:32 +0100

dash (0.5.11+git20200708+dd9ef66-5) unstable; urgency=medium

  * Actually set PATH_MAX for Hurd.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Dec 2020 14:23:19 +0100

dash (0.5.11+git20200708+dd9ef66-4) unstable; urgency=medium

  * Define PATH_MAX=4096 on Hurd.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Dec 2020 10:55:18 +0100

dash (0.5.11+git20200708+dd9ef66-3) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Don’t rely on /usr/share/man/man1/ existing (Closes: #974825).

  [ Andrej Shadura ]
  * Disable libc glob support (Closes: #974900, #976685).
  * Apply upstream patch:
    - jobs: Only block in waitcmd on first run (Closes: #974705, #975010).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Dec 2020 10:07:56 +0100

dash (0.5.11+git20200708+dd9ef66-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Nov 2020 08:58:00 +0100

dash (0.5.11+git20200708+dd9ef66-1) experimental; urgency=medium

  * New upstream snapshot
    (Closes: #541544, #541642, #692611, #930805).
  * Drop patches applied upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 08 Aug 2020 15:13:49 +0200

dash (0.5.10.2-7) unstable; urgency=medium

  * Provide machine-readable copyright file.
  * Use debhelper-compat instead of debian/compat.
  * Use dh 12.
  * Drop nostrip handling, it is build into dh_strip.
  * Wrap and sort Build-Depends.
  * Change the privmode long option name to privileged to match bash.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Mar 2020 11:45:13 +0200

dash (0.5.10.2-6) unstable; urgency=medium

  * Apply patch from Chris Lamb:
    - dash: Fix stack overflow from infinite recursion in script
      (Closes: #579815)
  * Apply upstream patches:
    - shell: Don't include config.h for native helpers
    - system: Disable glibc warning on sigsetmask
  * Apply patches proposed upstream:
    - options: Do not set commandname in procargs
    - histedit: Fix infinite loop when using 'fc -s'
      (Closes: #928072)
  * Update the CI pipeline (thanks to Iñaki Malerba).
  * Enable hardening for helpers.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Jul 2019 15:15:27 -0300

dash (0.5.10.2-5) unstable; urgency=medium

  * Fix lintian overrides.
  * No longer check /bin/sh.distrib (Closes: #917313).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 17 Jan 2019 20:08:32 +0100

dash (0.5.10.2-4) unstable; urgency=medium

  * Move Gerrit to Uploaders since he’s going to be away for some time
    (Closes: #907085).
  * Add missing --no-rename in more places.
  * Handle the case when no package has diverted /bin/sh (Closes: #916900).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 20 Dec 2018 08:42:13 +0100

dash (0.5.10.2-3) unstable; urgency=medium

  [ You-Sheng Yang ]
  * Enable GitLab CI at Salsa.
  * debian/control: update Standard-Version to 4.2.1.
  * lintian: fix debhelper-but-no-misc-depends.
  * lintian: clean up debian/rules.

  [ Sven Joachim ]
  * Remove dash.preinst (Closes: #907132, #890073).

  [ Andrej Shadura ]
  * Use an explicit --no-rename of dpkg 1.19.1 (Closes: #890073, #916608).
  * Use sh_warnx, not warnx which is defined only in bltin.h.
  * Add #DEBHELPER# token to the prerm, ash.postrm, drop dash.postrm.
  * Add overrides for unusual-control-interpreter in prerm.
  * Delete no longer necessary ash.postinst (0.4.3 is no longer in the
    archive).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Dec 2018 11:28:12 +0100

dash (0.5.10.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * d/control: Add Vcs-* field.

  [ Guillaume Charifi ]
  * dash.preinst: copy(): Do not die if the destination does not exist
    (Closes: #916038).

  [ You-Sheng Yang ]
  * Enable large file support when available (Closes: #916255).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 12 Dec 2018 10:42:22 +0100

dash (0.5.10.2-1) unstable; urgency=medium

  * New upstream version 0.5.10.2.
    Closes: #332954, #379227, #503840, #571952,
            #550756, #700232, #794965, #837789,
            #878697, #888226.
  * Refresh patches.
  * Use #!/bin/dash for prerm and postinst scripts (Closes: #907133).
  * Fix the ash.1 manpage link.
  * Add Multi-Arch: foreign (Closes: #710277).
  * Don’t leak fd in the fix for binary execution (Closes: #816313).
  * Avoid crash when redirecting to file descriptor in expredir
    (Closes: #861354).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 04 Sep 2018 19:17:01 +0200

dash (0.5.8-2.10) unstable; urgency=medium

  [ Simon McVittie ]
  * Add an autopkgtest to verify that /bin/sh remains usable
    (Closes: #888259).

  [ Andrew Shadura ]
  * Add dash.preinst and friends to clean.
  * Document where the sources are and how to work with them
    in README.source.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 25 Jan 2018 08:14:33 +0100

dash (0.5.8-2.9) unstable; urgency=medium

  [ Sven Joachim ]
  * Non-maintainer upload.
  * Re-add the symlink for the sh manpage (Fully closes: #888235)

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 24 Jan 2018 08:19:41 +0100

dash (0.5.8-2.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship a /bin/sh symlink (Closes: #888235).
  * Don't quote dh arguments needlessly.
  * Drop old irrelevant postinst/postrm bits, use dh-generated ones instead.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 24 Jan 2018 08:02:23 +0100

dash (0.5.8-2.7) unstable; urgency=medium

  [ James Cowgill ]
  * Non-maintainer upload.
  * Move dash from /usr/bin to /bin. (Closes: #888180)

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 23 Jan 2018 22:51:37 +0100

dash (0.5.8-2.6) unstable; urgency=medium

  * Non-maintainer upload.

  [ Marc Deslauriers ]
  * Drop privileges when euid != uid as a security measure
    (Closes: #734869, LP: #1215660)
    - debian/diff/9001-Add-privmode-Part-1.diff
    - debian/diff/9002-Add-privmode-Part-2.diff

  [ Jonathan Nieder ]
  * debian/dash.preinst:
    - rewrite in C (closes: #604873).
    - if dash's copy of /bin/sh is not already diverted, divert it
      on behalf of bash.  This ensures extracting a new version of
      dash does not overwrite /bin/sh and handling of that symlink
      is left to postinst.  Likewise for .../man/man1/sh.1.gz.
    - if /bin/sh is not executable (for example because it is a
      symlink to a nonexistent file), replace it with a symlink to
      dash.  Likewise for /usr/share/man/man1/sh.1.gz.
  * debian/dash.postinst:
    - remove workaround for dpkg bug #160848 ("dpkg-divert --remove"
      silently enabling --rename).  The dash package already depends
      on dpkg 1.15.0 or later, which has the fix.
    - respect local diversions.
    - clarify.

  [ Andrew Shadura ]
  * Refresh patches to apply cleanly.
  * Convert the package to 3.0 (quilt) format.
  * Use debhelper 10 (and debhelper at all!).
  * Move the git repository to Salsa.
  * Add gbp.conf and use DEP-14 branch naming.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 23 Jan 2018 15:13:35 +0100

dash (0.5.8-2.5) unstable; urgency=low

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * Improve build reproducibility: set LC_ALL instead of LC_COLLATE to C.

  [ HW42 ]
  * Improve build reproducibility: avoid exec call which embeds different paths
    between different system shells. (Closes: #825643)

 -- Ximin Luo <infinity0@debian.org>  Wed, 28 Jun 2017 18:26:52 +0200

dash (0.5.8-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't execute binary files as scripts. (Closes: #816313)
  * printf '\e' (Closes: #816295)
  * Fix bad permissions on dash.md5sums (Closes: #832173)

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 24 Jan 2017 06:16:56 +0100

dash (0.5.8-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by adding build-arch and build-indep targets to debian/rules.
    Thanks to Sven Joachim <svenjoac@gmx.de> for the initial patch.
    Closes: #829666

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 05 Jul 2016 21:59:04 +0000

dash (0.5.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply Jérémy Bobbio's patches to make dash reproducible.
    (Closes: #774425)

 -- Niels Thykier <niels@thykier.net>  Sat, 12 Mar 2016 09:05:01 +0000

dash (0.5.8-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Marcin Juszkiewicz ]
  * Ensure correct strip is called when cross-building (closes: #665965)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 09 Jan 2016 18:35:21 +0100

dash (0.5.8-2) experimental; urgency=medium

  * debian/rules: pass --disable-lineno option to configure (thx Sven
    Joachim, closes: #766048).

 -- Gerrit Pape <pape@smarden.org>  Mon, 20 Oct 2014 17:46:03 +0000

dash (0.5.8-1) experimental; urgency=medium

  * new upstream release (closes: #598238).
    * 0003-VAR-Disable-LINENO-support.diff: remove; upstream now has
      configure --disable-lineno option.
  * debian/rules: pass --enable-fnmatch option to configure
    (closes: #763407).
  * debian/po/sr.po: new; [INTL:sr] Serbian cyrillic translation of
    debconf template (thx Zlatan Todoric, closes: #635069).

 -- Gerrit Pape <pape@smarden.org>  Wed, 01 Oct 2014 08:53:14 +0000

dash (0.5.7-4) unstable; urgency=low

  * Thx Michael Gilbert for NMU.
    * 0006-JOBS-address-format-security-build-error.diff: new: address
      format-security build error (patch from Simon Ruderich).
  * debian/rules: make DEB_BUILD_OPTIONS=diet build working again.
  * debian/diff/0007-EVAL-Report-I-O-error-on-stdout.diff: new: eval: report
    I/O error on stdout (closes: #690473).

 -- Gerrit Pape <pape@smarden.org>  Wed, 08 Jan 2014 11:54:11 +0000

dash (0.5.7-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable build-hardening flags (closes: #662721).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 25 Dec 2013 13:46:03 -0500


dash (0.5.7-3) unstable; urgency=low

  [ Christian Perrier ]
  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * French (Julien Patriarca).  Closes: #638821
  * Indonesian (Mahyuddin Susanto).  Closes: #657111
  * Polish (Michał Kułach).  Closes: #658180
  * Romanian (Andrei POPESCU).  Closes: #660615
  * Turkish (Mert Dirik).  Closes: #661513

  [ Gerrit Pape ]
  * debian/control: Standards-Version: 3.9.3.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 01 Mar 2012 00:09:45 +0000


dash (0.5.7-2) unstable; urgency=high

  * debian/diff/:
    - 0004-BUILTIN-Fix-test-x-as-root...diff: new; teach "test -x"
      as root not to return true for nonexecutable files on
      platforms where faccessat() does return true in this case,
      such as glibc-bsd in squeeze (thx Christoph Egger, closes:
      #640334).
    - 0005-SHELL-Disable-sh-c-...diff: back out the optimization
      that makes dash -c "script" avoid a fork().  It caused
      several packages to fail to build from source (thx Stéphane
      Glondu, closes: #642922).

 -- Jonathan Nieder <jrnieder@gmail.com>  Mon, 26 Sep 2011 16:39:38 -0500

dash (0.5.7-1) unstable; urgency=low

  * new upstream release.
    * optimize dash -c "script" to notice the last command and
      exec it without forking (thx Jilles Tjoelker; closes:
      #436466).  This change is inspired by a similar trick in
      ksh, bash, and zsh and can be useful in commands passed to
      system(), popen(), and Makefiles, where "exec" is usually
      not explicitly used.
    * remove spurious space in descriptions of PS1, PS2, PS4 (thx
      Kalle Olavi Niemitalo; closes: #624715).
    * test builtin: use faccessat if available (closes: #539909,
      #556521) so ACLs and other corner cases can be handled
      correctly.
  * debian/diff/:
    - remove patches applied upstream (i.e. all except 0045, 0046).
    - 0045-SHELL-print-n-upon-EOF-...diff: rename to 0001-*.
    - 0046-PARSER-Remove-backslash-...diff: rename to 0002-*.
    - 0003-VAR-Disable-LINENO-support.diff: new; remove LINENO
      support (closes: #582952, reopens: #540685).
  * debian/po/sk.po: [INTL:sk] Slovak debconf templates (thx
    Slavko; closes: #611556).
  * debian/po/nl.po: [INTL:nl] Dutch debconf templates (thx
    Jeroen Schot; closes: #624172).

 -- Jonathan Nieder <jrnieder@gmail.com>  Wed, 17 Aug 2011 00:30:30 -0500

dash (0.5.6.1-1~exp2) experimental; urgency=low

  * debian/diff/:
    - 0036-BUILTIN-Fix-corruption-of-reads...diff: remove; fixed
      upstream.
    - 0037-EVAL-Make-.-dev-null-return-.diff: remove; applied
      upstream.
    - 0034-SHELL-print-n-upon...diff: rename to 0045-*.
    - 0035-PARSER-Remove-backslash...diff: rename to 0046-*.
    - 0034...0044: new from the upstream "master" branch.
    - 0042-EXPAND-Free-IFS-state...diff: new from upstream:
      do not let parameter expansion in here documents corrupt word
      splitting state (thx Aurelien Jarno; closes: #618023).

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 24 Mar 2011 17:24:05 -0500

dash (0.5.6.1-1~exp1) experimental; urgency=low

  * new upstream release.
    * add preliminary LINENO support (closes: #540685, reopens:
      #582952).
    * fix corruption of redirections with byte 0x81 (closes:
      #532302).
    * honor tab as IFS whitespace in read (closes: #429251,
      #607174).
  * debian/diff/:
    - remove patches applied upstream (0001-0016, 0020).
    - 0021--INPUT-exit-127...diff: remove; patch is faulty
      (reopens: #548687).
    - 0022--EVAL-with-set-e-exit: remove; fixed upstream.
    - 0019--SHELL-print-n-upon...diff: rename to 0034-*.
    - 0001...0033: new from the upstream "master" branch.
    - 0035-PARSER-Remove-backslash-before...diff: new from the
      mailing list: remove backslashes used to escape closing
      braces in ${...} expressions (thx Jilles Tjoelker).
    - 0036-BUILTIN-Fix-corruption-of-reads...diff: new from the
      mailing list: do not corrupt input by removing CTLESC bytes
      ('\x81') in readcmd (thx Alexey Gladkov).
    - 0037-EVAL-Make-.-dev-null-return-0.diff: new from the
      mailing list: dotcmd should yield status 0 when no command
      is executed (thx Tim Allen, closes: #615922).
  * debian/watch: document upstream source location.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sun, 06 Mar 2011 21:11:25 -0600


dash (0.5.5.1-7.4) unstable; urgency=low

  * Non-maintainer upload.
  * dash.preinst: Do not error out if /bin/sh or its manpage is
    not already present (thx Brian Potkin; closes: #606756).
  * dash.postinst: Cope with missing files.  Atomically replace
    /bin/sh and its manpage rather than removing and re-creating them
    (thx Adam D. Barratt).

 -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 14 Dec 2010 01:33:42 -0600

dash (0.5.5.1-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Modify the preinst to use /bin/bash rather than /bin/sh to avoid having
    to rely on /bin/sh being available during unpack.  (Closes: #546528)
  * Adapt preinst diversion handling to be idempotent; thanks to
    Jonathan Nieder.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Wed, 17 Nov 2010 21:41:30 +0000


dash (0.5.5.1-7.2) unstable; urgency=low

  * Non-maintainer upload to correct previous NMU.
  * Drop dependency on debconf as that change was not agreed
    with the maintainer when the NMU was prepared.

 -- Christian Perrier <bubulle@debian.org>  Wed, 27 Oct 2010 08:10:28 +0200

dash (0.5.5.1-7.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Add "debconf | debconf-2.0" to dependencies as this package is
    using debconf
  * Explicitly re-include the text of the BSD licence as
    /usr/share/common-licenses/BSD could be dropped in the future
    because of minor wording changes in the different version of
    the BSD licence text
  * Fix pending l10n issues. Debconf translations:
    - Czech (Miroslav Kure).  Closes: #598331
    - Finnish (Esko Arajärvi).  Closes: #600518

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Oct 2010 09:39:14 +0200


dash (0.5.5.1-7) unstable; urgency=low

  [ Raphael Geissert ]
  * Re-add code to allow taking over bash's diversion (Closes: #582554).

  [ Gerrit Pape ]
  * debian/dash.README.source: new; document how to use the Debian
    package source.
  * debian/po/pt_BR.po: [INTL:pt_BR] Brazilian Portuguese debconf
    templates (thx Adriano Rafael Gomes; closes: #582973).
  * debian/po/da.po: [INTL:da] Danish translation of the debconf
    templates Dash (thx Joe Dalton; closes: #584484).
  * debian/implicit: update to revision 60d9070.

 -- Gerrit Pape <pape@smarden.org>  Thu, 10 Jun 2010 01:56:32 +0000

dash (0.5.5.1-6) unstable; urgency=high

  * debian/diff/0001-JOBS-Fix-dowait-signal-race.diff,
    debian/diff/0002-SIGNAL-Remove-EXSIG.diff: remove (closes: #581425).
  * debian/diff/: remove patches with reverts (0009, 0013, 0015, 0018,
    0019).
  * debian/diff/0010-SHELL-Add-preliminary-LINENO-support.diff: remove
    (re-opens: #540685, closes: #582952).
  * debian/diff/0015--BUILTIN-Use-TMPDIR-in-mkbuiltins.diff,
    debian/diff/0016--BUILTIN-Make-trap-signal-name-number-...diff,
    debian/diff/0017--JOBS-Fix-for-job-control-off-warning.diff: new;
    cherry-picked from upstream git.
  * debian/po/pt_BR.po: [INTL:pt_BR] Brazilian Portuguese debconf
    templates (thx Adriano Rafael Gomes; closes: #582973).

 -- Gerrit Pape <pape@smarden.org>  Wed, 26 May 2010 12:25:47 +0000

dash (0.5.5.1-5) unstable; urgency=low

  * debian/diff/0029-Revert-BUILTIN-Fix-off-by-one-recordregion-...diff,
    debian/diff/0030-Revert-BUILTIN-Avoid-compiler-warnings-on-...diff,
    debian/diff/0031-Revert-BUILTIN-Fix-NUL-termination-in-readcmd.diff,
    debian/diff/0032-Revert-BUILTIN-Honor-tab-as-IFS-whitespace-...diff:
    new; revert "Honor tab as IFS whitespace when splitting fields in
    readcmd" fix (re-opens: #429251, closes: #581351).

 -- Gerrit Pape <pape@smarden.org>  Thu, 13 May 2010 23:06:46 +0000

dash (0.5.5.1-4) unstable; urgency=low

  * debian/diff/0002--SHELL-print-n-upon-EOF-CTRL-D-when-run-...diff:
    rename to 0023-*.diff.
  * debian/diff/0001--MAN-rename-sh-to-dash-update-DESCRIPTION-...diff:
    remove; applied upstream.
  * debian/diff/0001-*...0022-*.diff: new from upstream git.
    * debian/diff/0010-*.diff: Add preliminary LINENO support (closes:
      #540685).
    * debian/diff/0017-*.diff: Fix syntax array size (closes: #548493).
    * debian/diff/0009-*.diff: Honor tab as IFS whitespace when
      splitting fields in readcmd (closes: #429251).
  * debian/diff/0024-INPUT-exit-127-if-command_file-is-given-...diff:
    new; exit 127 if command_file is given but does not exist (closes:
    #548743).
  * debian/diff/0025-INPUT-exit-127-if-command_file-is-given-...diff:
    new; exit 127 if command_file is given but is a directory (closes:
    #548687).
  * debian/diff/0026-EVAL-with-set-e-exit-the-shell-if-a-...diff: new;
    with set -e exit the shell if a subshell exits non-zero (closes:
    #514863).
  * debian/diff/0027-EVAL-don-t-clear-eflag-when-forking-subshell.diff:
    new; don't clear eflag when forking subshell (closes: #514863).
  * debian/po/ja.po: [INTL:ja] Update po-debconf template translation
    (thx Hideki Yamane; closes: #564483).
  * debian/po/bg.po: [I18N:bg] Updated Bulgarian debconf translation
    (thx Damyan Ivanov; closes: #562836).
  * debian/dash.preinst: remove superfluous code (closes: #557755).
  * debian/control: Standards-Version: 3.8.4.0.
  * debian/po/vi.po: [INTL:vi] Vietnamese debconf templates translation
    update (thx Clytie Siddall; closes: #577156).
  * debian/po/eu.po: [l10n:eu] dash 0.5.5.1-3.1: updated Basque
    translation (thx dooteo; closes: #577506).
  * debian/po/pt.po: [INTL:pt] Updated Portuguese translation for
    debconf messages (thx Traduz - Portuguese Translation Team; closes:
    #578104).
  * debian/diff/0028-EVAL-Fix-command-crash.diff: new; Fix command --
    crash (closes: #579543).

  [ Raphael Geissert ]
  * Document "/bin/sh -> dash" NMU changes
  * Pass package name to dpkg-divert when removing diversion
  * Simplify prerm by making dpkg-divert do most of the work
  * Pass --package name to dpkg-divert call to replace ash's diversion
  * Quoting style changes
  * Let the postinst script abort if there was already a diversion in
    place
  * Pass --package name to dpkg-divert call to remove ash's diversion
  * Add watch file

 -- Gerrit Pape <pape@smarden.org>  Mon, 10 May 2010 23:12:45 +0000


dash (0.5.5.1-3) unstable; urgency=low

  * Thanks Luk Claes for NUMs (closes: #538682).
  * debian/NEWS: rename to debian/dash.NEWS.Debian.
  * debian/rules: don't explicitely install dash's NEWS file,
    debian/implicit takes care of that.
  * debian/dash.NEWS.Debian: when upgrading existing installations,
    the system shell will not be changed automatically (closes:
    #539363).
  * debian/control: update long description (thx Justin B Rye; closes:
    #546458).
  * debian/po/sv.po: [INTL:sv] Swedish strings for dash debconf (thx
    Martin Bagge; closes: #539070).
  * debian/po/ru.po: [INTL:ru] Russian debconf templates translation
    update (thx Yuri Kozlov; closes: #539189).
  * debian/po/fr.po: fr.po: French program translation (thx julien
    patriarca; closes: #539630).
  * debian/po/de.po: [INTL:de] updated German debconf translation (thx
    Helge Kreutzmann; closes: #540221).
  * debian/po/it.po: [INTL:it] Italian translation (thx Luca Monducci;
    closes: #540631).
  * debian/po/es.po: [INTL:es] Spanish debconf template translation for
    dash (closes: #540707).

 -- Gerrit Pape <pape@smarden.org>  Wed, 16 Sep 2009 14:22:37 +0000

dash (0.5.5.1-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Update the debconf templates according to the feedback on
    debian-l10n-english.
  * Install the NEWS file in the right location (Closes: #538809).

 -- Luk Claes <luk@debian.org>  Mon, 27 Jul 2009 12:45:48 +0000

dash (0.5.5.1-2.2) unstable; urgency=low

  [ Luk Claes ]
  * Non-maintainer upload with maintainer's permission.
  * Change the default for the system shell to dash.
  * Ship /bin/sh in the package and fix the diversion handling
    for it to make sure /bin/sh is always present.
  * Set debconf priority to high when upgrading from an existing
    system.
  * Add versioned dpkg dependency for dpkg-divert --listpackage.
  * Add NEWS file about changing /bin/sh.
  * Adjusted the debconf template accordingly.
  * Make dash Priority: Required

  [ Raphael Geissert ]
  * Make dash Essential: yes

 -- Luk Claes <luk@debian.org>  Wed, 22 Jul 2009 20:17:31 +0200

dash (0.5.5.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Depend on debianutils (Closes: #537990).

 -- Luk Claes <luk@debian.org>  Wed, 22 Jul 2009 18:50:45 +0000


dash (0.5.5.1-2) unstable; urgency=low

  * debian/diff/0001--SHELL-execute-EXIT-trap-if-the-shell-...diff;
    remove; patch is faulty (reopens: #390433, closes: #515229,
    #515064).

 -- Gerrit Pape <pape@smarden.org>  Mon, 16 Feb 2009 12:49:32 +0000

dash (0.5.5.1-1) unstable; urgency=low

  * new upstream release.
    * builds again with DEB_BUILD_OPTIONS=diet (closes: #493301).
  * debian/diff/*.diff: remove; obsolete.
  * debian/po/es.po: [INTL:es] Spanish debconf template translation
    for dash (thx Francisco Javier Cuadrado, closes: #513689).
  * debian/diff/0001--SHELL-execute-EXIT-trap-if-the-shell-...diff:
    new; [SHELL] execute EXIT trap if the shell is killed through a
    signal (thx Chris Lamb for the patch, closes: #390433).
  * debian/diff/0002--MAN-rename-sh-to-dash-update-DESCRIPTION...diff:
    new; [MAN] rename sh to dash, update DESCRIPTION and HISTORY (thx
    jaalto, closes: #499838).
  * debian/diff/0003--SHELL-print-n-upon-EOF-CTRL-D-when-run-...diff:
    new; [SHELL] print \n upon EOF (CTRL-D) when run interactively
    (closes: #476422).

 -- Gerrit Pape <pape@smarden.org>  Wed, 11 Feb 2009 01:55:05 +0000


dash (0.5.4-12) unstable; urgency=low

  * debian/po/nl.po: [INTL:nl] Updated debconf templates translation
    for Dutch (thx Thijs Kinkhorst, closes: #492069).
  * debian/po/pt.po: [INTL:pt] Updated Portuguese translation for
    debconf messages (thx Traduz - Portuguese Translation Team,
    closes: #489805).
  * debian/po/sv.po: [INTL:sv] po-debconf file for dash (thx Martin
    Ågren, closes: #491532).

 -- Gerrit Pape <pape@smarden.org>  Mon, 25 Aug 2008 19:47:04 +0000

dash (0.5.4-11) unstable; urgency=low

  * debian/diff/0045-Fix-null-pointer-dereference.diff,
    debian/diff/0046-Fix-bitwise-AND-and-OR-operator-parsing.diff,
    debian/diff/0047--MAN-add-missing-right-parenthesis...diff: remove;
    applied upstream.
  * debian/diff/0048--SHELL-add-l-option-to-force-login-shell.diff:
    remove; fixed upstream.
  * debian/diff/0044--*..0061--*: new; from upstream git.
    * 0055--BUILTIN-Fixed-3-4-argument-cases-for-test-per-POSIX.diff:
      [BUILTIN] Fixed 3,4-argument cases for test per POSIX (closes:
      #455828).
  * debian/diff/0044-run-aclocal-autoconf-autoheader-automake.diff:
    redo as 0062-run-aclocal-autoconf-autoheader-automake.diff.

 -- Gerrit Pape <pape@smarden.org>  Wed, 16 Jul 2008 19:24:54 +0000

dash (0.5.4-10) unstable; urgency=low

  * debian/po/it.po: [INTL:it] Italian debconf templates translation
    (thx Luca Monducci, closes: #479361).
  * debian/po/ru.po: [INTL:ru] Russian debconf templates translation
    update (thx Yuri Kozlov, closes: #479592).
  * debian/po/gl.po: [INTL:gl] Galician debconf template translation
    for dash (thx Jacobo Tarrio, closes: #480978).
  * debian/po/ja.po: [INTL:ja] updated Japanese debconf translation
    (thx Kenshi Muto, closes: #483509).
  * debian/control: Homepage: http://gondor.apana.org.au/~herbert/dash/
    (closes: #484665).
  * debian/diff/0047--MAN-add-missing-right-parenthesis...diff: new;
    [MAN] add missing right parenthesis in section Redirection (closes:
    #481365).
  * debian/diff/0048--SHELL-add-l-option-to-force-login...diff: new;
    [SHELL] add -l option to force login shell (closes: #483287).
  * debian/po/tr.po: new; [INTL:tr] Turkish debconf template translation
    for dash (thx Mert Dirik, closes: #486571).
  * debian/po/bg.po: new; [INTL:bg] Bulgarian debconf translation (thx
    Damyan Ivanov, closes: #486800).
  * debian/po/vi.po: [INTL:vi] Vietnamese debconf templates translation
    update (thx Clytie Siddall, closes: #486801).
  * debian/po/cs.po: [l10n] Updated Czech translation of dash debconf
    messages (thx Miroslav Kure, closes: #487266).
  * debian/po/pt.po: [INTL:pt] Updated Portuguese translation for
    debconf messages (thx Ricardo Silva, closes: #487290).
  * debian/po/ko.po: [INTL:ko] Korean dash debconf PO translation (thx
    Sunjae Park, closes: #487897).
  * debian/po/eu.po: new; [INTL:eu] dash debconf templates Basque
    translation (thx xabier bilbao, closes: #488057).
  * debian/po/pt_BR.po: [INTL:pt_BR] Brazilian Portuguese debconf
    templates (thx Adriano Rafael Gomes, closes: #488390).
  * debian/po/ro.po: new; [l10n:ro] dash: New  Romanian translation of
    po-debconf templates (thx Eddy Petrișor, closes: #488435).
  * debian/control: Standards-Version: 3.8.0.1.

 -- Gerrit Pape <pape@smarden.org>  Sun, 06 Jul 2008 15:59:18 +0000


dash (0.5.4-9) unstable; urgency=low

  * debian/diff/0046-Fix-bitwise-AND-and-OR-operator-parsing.diff: new:
    Fix bitwise AND and OR operator parsing (closes: #470914).
  * debian/dash.menu: change menu section from Apps/Shells to
    Applications/Shells (thx Christian Perrier).
  * debian/po/fr.po: [INTL:fr] French debconf templates translation update
    (thx Christian Perrier, closes: #469253).
  * debian/po/fi.po: [INTL:fi] Updated Finnish translation of the debconf
    templates (thx Esko Arajärvi, closes: #469466).
  * debian/po/de.po: [INTL:de] updated German debconf translation (thx
    Helge Kreutzmann, closes: #469755).

 -- Gerrit Pape <pape@smarden.org>  Thu, 17 Apr 2008 20:34:15 +0000


dash (0.5.4-8) unstable; urgency=low

  * debian/diff/0045-Fix-null-pointer-dereference.diff: new from Larry
    Doolittle, blessed by upstream: Fix null pointer dereference (thx!,
    closes: #467065; most probably closes: #462414, #462977, #463649,
    #467358, #468376, #468449, #468837, #469102).
  * debian/dash.templates.in: don't mention 'distribution policy' or
    'Debian policy' at all, but talk only about POSIX-compliance; run
    debconf-updatepo (closes: #455550).
  * debian/control: Standards-Version: 3.7.3.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 02 Mar 2008 21:36:20 +0000

dash (0.5.4-7) unstable; urgency=low

  * debian/po/nl.po: [INTL:nl] New po-debconf translation in Dutch for dash
    (thx Tim Dijkstra, closes: #458425).
  * debian/rules: apply patch for cross building support, slightly modified
    (thx Neil Williams, closes: #450512).

 -- Gerrit Pape <pape@smarden.org>  Wed, 13 Feb 2008 19:19:53 +0000


dash (0.5.4-6) unstable; urgency=low

  * debian/control: add Vcs-Git: http://smarden.org/git/dash.git/.
  * debian/diff/0041-PARSER-Add-FAKEEOFMARK-for-expandstr.diff,
    debian/diff/0042-PARSER-Do-not-show-prompts-in-expandstr.diff: new
    from upstream git.
  * debian/diff/0043-EXPAND-Fix-slash-treatment-in-expmeta.diff: new
    from upstream git: [EXPAND] Fix slash treatment in expmeta (closes:
    #458687, #458690, #459049).
  * debian/diff/0041-run-aclocal-autoconf-autoheader-automake.diff: redo
    as debian/diff/0044-run-aclocal-autoconf-autoheader-automake.diff.
  * debian/dash.templates.in: remove empty line after comments, hmm.

 -- Gerrit Pape <pape@smarden.org>  Mon, 07 Jan 2008 10:37:47 +0000

dash (0.5.4-5) unstable; urgency=low

  * debian/diff/0038-EVAL-Fix-unaligned-trap-on-sparc.diff: applied
    upstream, rename to
    0038-EVAL-Fix-bad-pointer-arithmetic-in-evalcommand.diff.
  * debian/diff/0039-ARITH-If-imaxdiv-isn-t-available-use-and-ope.diff:
    applied upstream, rename to
    0040-ARITH-If-imaxdiv-isn-t-available-use-and-ope.diff.
  * debian/diff/0040-run-aclocal-autoconf-autoheader-automake.diff: redo
    as debian/diff/0041-run-aclocal-autoconf-autoheader-automake.diff.
  * debian/diff/0039-BUILTIN-Add-set-o-support.diff: new; from upstream
    git: Add set +o support (closes: #456990).
  * debian/diff/ja.po: remove again, doh.

 -- Gerrit Pape <pape@smarden.org>  Thu, 27 Dec 2007 12:23:12 +0000


dash (0.5.4-4) unstable; urgency=low

  * debian/diff/0038-EVAL-Fix-unaligned-trap-on-sparc.diff: new; fix
    unaligned trap on sparc (thx Steve Langasek, closes: #456399).
  * debian/diff/0039-ARITH-If-imaxdiv-isn-t-available-use-and-ope.diff: new;
    if imaxdiv() isn't available, use / and % operators (closes: #456398).
  * debian/diff/0038-run-aclocal-autoconf-autoheader-automake.diff: redo
    as debian/diff/0040-*.
  * debian/po/vi.po: [INTL:vi] Vietnamese debconf templates translation
    update (thx Clytie Siddall, closes: #453625).
  * debian/diff/ja.po: new; [INTL:ja] Japanese debconf translation (thx
    Kenshi Muto, closes: #446573).

 -- Gerrit Pape <pape@smarden.org>  Fri, 21 Dec 2007 09:21:34 +0000


dash (0.5.4-3) unstable; urgency=low

  * debian/diff/0005-*..0037-*: new: from upstream git.
    * 0025-*: Report substition errors at expansion time (closes: #418774).
  * debian/diff/0005-dash.1-clarify-description-of-nt-ot-options-to-te.diff,
    debian/diff/0006-dash.1-clarify-syntax-of-the-for-command.diff: remove;
    applied upstream.
  * debian/rules: no longer build dash.udeb package (on request of Otavio
    Salvador, closes: #439139, #431312).
  * debian/control: no longer Build-Depends: dietlibc; remove dash.udeb
    package.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project (thx Christian Perrier
    for the patch, closes: #449517):
    * Convert debian/changelog to UTF-8 (closes: #451080, #453962, #453960).
    * [Debconf translation updates]
    * Galician (closes: #450864).
    * Finnish (closes: #451015).
    * Korean (closes: #451419).
    * Italian (closes: #451607).
    * Czech (closes: #451826).
    * German (closes: #452173).
    * Russian (closes: #452733).
    * Portuguese (closes: #453038).

 -- Gerrit Pape <pape@smarden.org>  Mon, 10 Dec 2007 13:18:14 +0000


dash (0.5.4-2) unstable; urgency=low

  * debian/diff/0001-SHELL-Restore-foreground-process-group-on-exit.diff:
    new; from upstream git, replaces
    debian/diff/0001-Restore-pgrp-on-exit-fix-backgrounded-MC-bug.diff.
  * debian/diff/0002-SHELL-Move-flushall-to-the-point-just-before-_exit.diff,
    debian/diff/0003-BUILTIN-test-White-space-fixes.diff,
    debian/diff/0004-BUILTIN-test-little-size-and-speed-optimizations.diff:
    new; from upstream git (closes: #431320).
  * debian/diff/0005-dash.1-clarify-description-of-nt-ot-options-to-te.diff:
    new; dash.1: clarify description of -nt, -ot options to test builtin
    (closes: #373611).
  * debian/diff/0006-dash.1-clarify-syntax-of-the-for-command.diff: new;
    dash.1: clarify syntax of the for command (closes: #387441).

 -- Gerrit Pape <pape@smarden.org>  Tue, 25 Sep 2007 07:39:37 +0000


dash (0.5.4-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/????-*.diff: remove all but
    ????-Restore-pgrp-on-exit-fix-backgrounded-MC-bug.diff; obsolete.
  * debian/rules: dump config.log on build failure.

 -- Gerrit Pape <pape@smarden.org>  Wed, 18 Jul 2007 09:33:06 +0000

dash (0.5.3-9) unstable; urgency=low

  * debian/rules: target patch, clean: apply diffs from debian/diff/ in
    alphabetical order.
  * debian/diff/0018-Restore-pgrp-on-exit-fix-backgrounded-MC-bug.diff:
    new; Restore pgrp on exit (fix "backgrounded MC" bug) (thx Denis
    Vlasenko, closes: #381878).

 -- Gerrit Pape <pape@smarden.org>  Tue, 26 Jun 2007 13:38:39 +0000


dash (0.5.3-8) unstable; urgency=low

  * debian/diff/0009..0017-*.diff: new; from upstream master branch.
    * 0009-BUILTIN-Fix-mkbuiltin-sort-order.diff: Fix mkbuiltin sort
      order (closes: #415119).
    * 0016-REDIR-Fix-redirect-restore-on-saved-file-descriptor.diff:
      Fix redirect restore on saved file descriptors (closes: #357091).
  * debian/po/it.po: [INTL:it] Italian debconf templates translation
    (thx Luca Monducci; closes: #418174).

 -- Gerrit Pape <pape@smarden.org>  Mon, 04 Jun 2007 18:46:04 +0000


dash (0.5.3-7) unstable; urgency=medium

  * Debconf translation updates (thx Christian Perrier for the patch):
    - Czech updated (thx Miroslav Kure; closes: #407828).
    - Galician added (thx Jacobo Tarrio; closes: #407952).
    - Portuguese updated
    - Russian updated
    - Galician updated
    - Dutch updated
    - Vietnamese updated
    - Swedish updated
    * run debconf-updatepo to update PO files about debconf templates.

 -- Gerrit Pape <pape@smarden.org>  Fri,  2 Feb 2007 07:03:36 +0000

dash (0.5.3-6) unstable; urgency=medium

  * debian/po/es: [INTL:es] Spanish po-debconf translation (thx Fernando
    Cerezal; closes: #402981).
  * debian/po/pt_BR: [INTL:pt_BR] updating the Brazilian Portuguese
    translation (thx Andre Luis Lopes; closes: #403831).

 -- Gerrit Pape <pape@smarden.org>  Sun, 31 Dec 2006 12:24:03 +0000


dash (0.5.3-5) unstable; urgency=low

  * debian/po/da.po: [INTL:da] Updated Danish debconf translation (thx Claus
    Hindsgaul; closes: #398779).
  * debian/po/de.po: [INTL:de] Update German debconf translation (thx Helge
    Kreutzmann; closes: #397825).
  * debian/po/fr.po: French debconf templates translation update (thx Cyril
    Brulebois; closes: #397013).

 -- Gerrit Pape <pape@smarden.org>  Tue, 21 Nov 2006 13:48:33 +0000

dash (0.5.3-4) unstable; urgency=low

  * debian/diff/0001-EVAL-Make-eval-with-empty-arguments-return-0.diff: new
    from upstream git; replaces debian/diff/eval-exit-status.diff.
  * debian/diff/0004-PARSER-Only-use-signed-char-for-syntax-arrays.diff: new
    from upstream git; replaces debian/diff/dash-signed-char-syntax.diff.
  * 0002-PARSER-Removed-useless-parsebackquote-flag.diff,
    0003-PARSER-Use-alloca-to-get-rid-of-setjmp.diff,
    0005-BUILD-Added-with-libedit-option-to-configure.diff,
    0006-EXPAND-Fixed-inverted-char-class-matching.diff,
    0007-SYSTEM-Check-return-code-for-getgroups-and-fwrite.diff,
    0008-BUILTIN-Fixed-command-v-segmentation-fault.diff (closes: #387458):
    new from upstream git.
  * debian/dash.templates.in: fix glitch in debconf message (thx Christian
    Perrier, closes: #366099),
  * debian/control: Standards-Version: 3.7.2.2.

 -- Gerrit Pape <pape@smarden.org>  Mon, 23 Oct 2006 20:38:54 +0000


dash (0.5.3-3) unstable; urgency=low

  * debian/rules: target configure, configure-udeb: add --host option to
    configure (adds the ability to cross-compile, patch from Pjotr
    Kourzanov; closes: #355132, #355124).
  * debian/po/it.po: new: initial Italian debconf translation (thx Andrea
    Bolognani; closes: #355011).
  * debian/diff/dash-signed-char-syntax.diff: new: patch from upstream:
    don't remove special chars on expansion (closes: 349855).
  * debian/implicit: update to revision 1.11.

 -- Gerrit Pape <pape@smarden.org>  Sun, 16 Apr 2006 13:09:08 +0000

dash (0.5.3-2) unstable; urgency=low

  * debian/diff/eval-exit-status.diff: new; patch from upstream; fix exit
    status of eval with null arguments (closes: #347232).
  * debian/rules: new target patch: apply diffs from debian/diff/,
    reverse-apply in target clean:.

 -- Gerrit Pape <pape@smarden.org>  Tue, 17 Jan 2006 05:37:48 +0000


dash (0.5.3-1) unstable; urgency=low

  * new upstream version.
    * Fix \c spillage across echo commands (closes: #337294).
  * debian/copyright: adapt copyright notice.
  * debian/rules: remove workaround for udeb build failure with dietlibc
    on 64bit archs; fixed upstream.

 -- Gerrit Pape <pape@smarden.org>  Mon, 28 Nov 2005 12:18:30 +0000

dash (0.5.2-8) unstable; urgency=low

  * src/input.c: apply patch from upstream (handle NUL characters
    gracefully, closes: #317516).
  * debian/po/sv.po: update Swedish translation (thx Daniel Nylander,
    closes: #330315).

 -- Gerrit Pape <pape@smarden.org>  Wed,  5 Oct 2005 13:24:33 +0000

dash (0.5.2-7) unstable; urgency=low

  * debian/rules: work around udeb build failure with dietlibc on 64bit
    archs (closes: #318607).

 -- Gerrit Pape <pape@smarden.org>  Fri,  5 Aug 2005 17:12:31 +0000

dash (0.5.2-6) unstable; urgency=low

  * debian/po/vi.po: new; initial Vietnamese debconf translation (closes:
    #313502, thx Clytie Siddall).
  * debian/rules: install dash menu file into /usr/share/menu/; build
    dash.udeb against dietlibc on archs !m68k.
  * debian/control: Build-Depends: dietlibc-dev [archs]; Standards-Version:
    3.6.2.0.

 -- Gerrit Pape <pape@smarden.org>  Fri,  8 Jul 2005 16:17:00 +0000

dash (0.5.2-5) unstable; urgency=low

  * debian/po/cs.po: new; initial Czech debconf translation (closes:
    #308043, thx Martin Sin, Miroslav Kure).

 -- Gerrit Pape <pape@smarden.org>  Wed, 11 May 2005 14:01:40 +0000

dash (0.5.2-4) unstable; urgency=medium

  * debian/dash.postrm: fix typo in options to dpkg (in or list).

 -- Gerrit Pape <pape@smarden.org>  Sat,  2 Apr 2005 18:04:39 +0000

dash (0.5.2-3) unstable; urgency=low

  * apply patch from upstream bk:
    * src/var.c: add trailing equal sign in setvar for variables set to null
      (closes: #299639).
  * debian/dash.menu: new.
  * debian/rules: install debian/dash.menu file (closes: #296297).
  * debian/dash.postinst: conditionally run update-menus on configure.
  * debian/dash.postrm: conditionally run update-menus on remove and upgrade
    (actually downgrade).

 -- Gerrit Pape <pape@smarden.org>  Mon, 28 Mar 2005 17:15:22 +0000

dash (0.5.2-2) unstable; urgency=high

  * debian/control: no longer Build-Depends: bison.
  * apply patch from upstream:
    * src/eval.c, src/eval.h: don't errexit on builtin in if condition and
      or list (closes: #276964).
  * src/dash.1: fix grammar, typo (thx A Costa, closes: #296396, #296545).

 -- Gerrit Pape <pape@smarden.org>  Tue,  1 Mar 2005 21:14:37 +0000

dash (0.5.2-1) unstable; urgency=low

  * new upstream release.
    * Fixed spelling errors in manual page; Spell behaviour consistently in
      manual page (closes: #281803).
    * Corrected manual entry about ENV and non-interactive shells (closes:
      #292501).

 -- Gerrit Pape <pape@smarden.org>  Mon, 31 Jan 2005 20:12:08 +0000

dash (0.5.1-3) unstable; urgency=low

  * apply patch from upstream bk:
    * src/jobs.c: allow negative pid argument to kill(1).
  * apply patch from upstream:
    * src/expand.c: fix $@ expansion when leading argument is null (closes:
      #266082).

 -- Gerrit Pape <pape@smarden.org>  Sun, 22 Aug 2004 15:48:47 +0000

dash (0.5.1-2) unstable; urgency=low

  * apply patch from upstream:
    * src/cd.c: fix cd - when OLDPWD is unset (closes: #263159).

 -- Gerrit Pape <pape@smarden.org>  Thu,  5 Aug 2004 08:17:18 +0000

dash (0.5.1-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: reorganize; stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit Makefile rules.
  * debian/control: no longer Build-Depends: debhelper, pmake;
    Build-Depends: po-debconf.
  * debian/copyright: adapt.
  * debian/ash.dirs, debian/bsdyacc, debian/compat, debian/dash-udeb.dirs,
    debian/dash.dirs, debian/dash.templates.merged: remove; obsolete.
  * debian/dash.templates: rename to debian/dash.templates.in.
  * debian/dash.postrm: new; run db_purge on purge if debconf is available.
  * debian/ash.postinst, debian/ash.postrm, debian/dash.postinst,
    debian/dash.prerm: remove "#DEBHELPER#".
  * src/mystring.c, src/var.c, src/bltin/printf.c: #include "system.h" (for
    diet libc).

 -- Gerrit Pape <pape@smarden.org>  Fri,  9 Jul 2004 19:21:26 +0000

dash (0.4.26-3) unstable; urgency=low

  * apply patch approved by upstream:
    * error.c, error.h, mystring.c, mystring.h, bltin/printf.c: optionally
      compile with the diet libc.
  * debian/README.Debian.diet, debian/dash.docs: new; how to build dash
    with the diet libc.
  * debian/rules: support "diet" in DEB_BUILD_OPTIONS to easily build the
    packages with the diet libc instead of glibc.

 -- Gerrit Pape <pape@smarden.org>  Sat, 26 Jun 2004 12:26:19 +0000

dash (0.4.26-2) unstable; urgency=low

  * apply patch from upstream:
    * expand.c: add support for character classes to pmatch(), glibc's
      fnmatch() still is broken (closes: #250499, works around: #243885).

 -- Gerrit Pape <pape@smarden.org>  Tue,  1 Jun 2004 05:53:39 +0000

dash (0.4.26-1) unstable; urgency=low

  * new maintainer.
  * add debian_revision to upstream_version, package no longer is debian
    native, upstream is Herbert Xu.
  * apply patch from upstream:
    * Fixed vstype trim operator ordering in cmdputs.
    * Fixed quote for CTLENDVAR in cmdputs.
    * Fixed VSLENGTH crash in cmdputs (closes: #250855).

 -- Gerrit Pape <pape@smarden.org>  Fri, 28 May 2004 18:40:53 +0000

dash (0.4.26) unstable; urgency=low

  * Disabled fnmatch code again (closes: #240887).
  * Updated copyright.
  * Updated German debconf translation (Florian Ernst, closes: #244507).
  * Fixed obstack corruption in setprompt (closes: #246635).

 -- Herbert Xu <herbert@debian.org>  Fri, 30 Apr 2004 21:48:52 +1000

dash (0.4.25) unstable; urgency=low

  * Fixed use-after-free bug in setvareq (Vladimir N. Oleynik).
  * Fixed value of expdest after _STPUTC in expandarg (closes: #238265).

 -- Herbert Xu <herbert@debian.org>  Thu, 18 Mar 2004 20:55:57 +1100

dash (0.4.24) unstable; urgency=low

  * Fixed segmentation fault when PWD is undefined.

 -- Herbert Xu <herbert@debian.org>  Tue,  9 Mar 2004 19:58:41 +1100

dash (0.4.23) unstable; urgency=low

  * Verify PWD before using it.

 -- Herbert Xu <herbert@debian.org>  Mon,  8 Mar 2004 20:12:27 +1100

dash (0.4.22) unstable; urgency=low

  * Read PWD from environment (closes: #228659).
  * Added Danish debconf translation (Claus Hindsgaul, closes: #233756).
  * Added check_gcc to support gcc 2.95 (closes: #235933).
  * Perform here-doc expansion on PS1/PS2/PS4 (closes: #230858).

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Mar 2004 21:50:04 +1100

dash (0.4.21) unstable; urgency=low

  * Fixed typo that broke ulimit (GCS, closes: #228369).

 -- Herbert Xu <herbert@debian.org>  Mon, 19 Jan 2004 19:02:32 +1100

dash (0.4.20) unstable; urgency=low

  * Added Dutch debconf translation (Tim Dijkstra, closes: #218904).
  * Check existence RLIMIT symbols for ulimit.
  * Removed table lookup in errmsg.
  * Restored NULL check in cmdtxt.
  * Restored ash postrm to purge debconf entries (closes: #221913).
  * Fixed exit status of exit in EXIT trap (closes: #227734).
  * Updated Brazilian debconf translation (Andre Luis Lopes, closes: #228095).
  * Restored goodname check in prehash.

 -- Herbert Xu <herbert@debian.org>  Sat, 17 Jan 2004 09:57:14 +1100

dash (0.4.19) unstable; urgency=low

  * Fixed handling of evalskip in dotcmd (closes: #212975).
  * Updated Russian debconf translation (Ilgiz Kalmetev, closes: #214333).
  * Added Portugese debconf translation (Bruno Rodrigues, closes: #216214).
  * Updated Spanish debconf translation (Carlos Valdivia, closes: #216338).
  * Fixed length expansion of special variables (closes: #216767).
  * Replaced umask builtin with pdksh version.
  * Reverted bogus eval change in 0.3.1-20.
  * Added vmemory/locks support in ulimit.
  * Call install -D instead of cp for merged template.

 -- Herbert Xu <herbert@debian.org>  Wed, 29 Oct 2003 22:14:22 +1100

dash (0.4.18) unstable; urgency=low

  * Fixed boundary checks in getopts.
  * Updated Japanese debconf template (Tomohiro KUBOTA, closes: #192382).
  * Use -falign-* instead -malign-*.
  * Use strtoll for parsing integers in arith expansion.
  * Added support for add-shell/remove-shell (closes: #163131).
  * Fixed JOBS ifdefs in sprint_status (closes: #211009).
  * Fixed bit-wise or in arith expansion (Mototoshi KONDO, closes: #212825).
  * Print PS4 on previous stderr.
  * Converted debconf templates to gettext (Christian Perrier,
    closes: #200112).

 -- Herbert Xu <herbert@debian.org>  Sat, 27 Sep 2003 14:26:36 +1000

dash (0.4.17) unstable; urgency=low

  * Reset rehash when recylcing cmd entries.
  * Fixed null arg0 segfault with -c (closes: #191687).
  * Relocate job pointers in makejob (closes: #191595).

 -- Herbert Xu <herbert@debian.org>  Sat,  3 May 2003 20:57:46 +1000

dash (0.4.16) unstable; urgency=low

  * Fixed printf so that exit status is cleared on entry.
  * Call nextopt() in printf.
  * Fixed command substitution corruption by grabbing expdest in expbackq
    (closes: #187896).

 -- Herbert Xu <herbert@debian.org>  Mon,  7 Apr 2003 21:21:30 +1000

dash (0.4.15) unstable; urgency=low

  * Fixed octal escapes in echo/printf (closes: #187827).

 -- Herbert Xu <herbert@debian.org>  Sun,  6 Apr 2003 20:45:38 +1000

dash (0.4.14) unstable; urgency=low

  * Added missing newline when printing in dowait.
  * Do not print status in dowait when stopped.
  * Fixed job status display.
  * Fixed current job setting.
  * Fixed kill segfault with no arguments (closes: #187189).
  * Fixed sorting of set output.
  * Removed setvar builtin.

 -- Herbert Xu <herbert@debian.org>  Thu,  3 Apr 2003 20:38:33 +1000

dash (0.4.13) unstable; urgency=low

  * Fixed precision type on 64 bit systems in showvars.

 -- Herbert Xu <herbert@debian.org>  Wed, 26 Mar 2003 20:00:03 +1100

dash (0.4.12) unstable; urgency=low

  * Fixed dash_errno build problem with gcc 3.2.

 -- Herbert Xu <herbert@debian.org>  Tue, 25 Mar 2003 22:28:50 +1100

dash (0.4.11) unstable; urgency=low

  * Removed unused pgrp field from job structure.
  * Free jobs when calling wait with no arguments.
  * Fixed build problem with bison.
  * Merged changes from NetBSD 20030123.
   . printf:
    - Fixed mklong sefault.
    - Fixed precision/field width with %b.
   . Improved option parsing of command(1).
   . Added rudimentary support for PS4.
  * Moved builtin flags into builtins.def.
  * Updated Spanish debconf template (Carlos Valdivia Yagüe, closes: #178359).
  * Fixed ordering of redirection versus assignment substitution.
  * Fixed potential setvareq memory leaks.
  * Use bison instead of byacc.
  * Fixed wait(1) race condition.
  * Fixed alignment memory corruption bug in growstackblock().
  * Fixed potential memory corruption in parsing position parameters.
  * Fixed getopts done check.

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Mar 2003 20:42:29 +1100

dash (0.4.10) unstable; urgency=low

  * Fixed redirection fd leak when execing.

 -- Herbert Xu <herbert@debian.org>  Sun, 19 Jan 2003 13:25:41 +1100

dash (0.4.9) unstable; urgency=low

  * Reset exitstatus in evalsubshell if backgnd is true.
  * Fixed glibc glob syntax error in expand.c.

 -- Herbert Xu <herbert@debian.org>  Sat, 11 Jan 2003 16:04:02 +1100

dash (0.4.8) unstable; urgency=low

  * Removed backgnd flag from ncmd due to previous redirection change.
  * Set lim after the stack stablises in updatepwd (closes: #173884).
  * Do not clobber the exitstatus after redirection.

 -- Herbert Xu <herbert@debian.org>  Mon, 23 Dec 2002 19:50:06 +1100

dash (0.4.7) unstable; urgency=low

  * Merged clearredir with reset code in redir.c.
  * Redirect before command search in evalcommand (closes: #168862).
  * Build binary-all packages in binary-indep (closes: #173191).

 -- Herbert Xu <herbert@debian.org>  Sat, 21 Dec 2002 13:52:37 +1100

dash (0.4.6) unstable; urgency=low

  * Restored code for leaving job control.

 -- Herbert Xu <herbert@debian.org>  Sun,  8 Dec 2002 15:21:58 +1100

dash (0.4.5) unstable; urgency=low

  * Optimised doformat so that vsnprintf is usually called only once.
  * Reset redirlist in clearredir so that popredir can work (closes: #170247).

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Nov 2002 22:09:59 +1100

dash (0.4.4) unstable; urgency=low

  * Fixed duplicate define warnings in init.c.
  * Set debhelper compat to 4.
  * Vanishing mail boxes no longer elicit "you have mail" messages.
  * Function redirection errors no longer abort the shell.
  * Fixed potential memory leak in redirect.
  * Only allocate memory if necessary in redirect.
  * Reap dead here documents.
  * Do not strdup default values of static shell variables.
  * Removed unnecessary setprompt(0) calls.
  * Read in BUFSIZ chunks rather than BUFSIZ - 1.
  * Documented undefined escape behaviour for echo(1) (closes: #167893).
  * Do va_copy when we use a va_list twice (closes: #169503).

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Nov 2002 19:48:31 +1100

dash (0.4.3) unstable; urgency=low

  * Added manual entry for PPID.
  * Exporting an unset variable no longer causes it to be set.
  * Fixed fd0 redirection in asynchronous lists.
  * Only stat if necessary in cdcmd (see #42880).
  * Removed extra newline in error message in arith lexer.
  * Set heredoclist to 0 ASAP in parseheredoc.
  * Removed BSD advertising clause from copyright file.
  * Check non-ash diversions as well in dash.postinst.
  * Duplicated diversion checking in ash.postinst (closes: #166441).

 -- Herbert Xu <herbert@debian.org>  Sat, 26 Oct 2002 21:28:33 +1000

dash (0.4.2) unstable; urgency=low

  * Give benefits of dash in templates (closes: #161527).
  * Fixed signed/unsigned on result of xwrite (closes: #161606).
  * Removed support for SIG prefixes in kill and trap.
  * Added -- processing in trap.
  * Dropped use of unset in postinst (closes: 161868).
  * Fixed printf(1) %* processing on bad integers and zero.
  * Use stat64 in test(1).
  * Allocate group_array with stalloc in test(1).
  * Disabled alias checking after a pattern in a case statement.
  * Wait now returns 128 + last trapped signal.
  * Printf now keeps going after errors.
  * Empty non-trivial parameter expansions are now removed correctly.
  * Call reset() before exitshell() is called.  This fixes the bug where
    returning an error from a function running under set -e caused the exit
    trap to be taken with evalskip set.
  * Fixed quoting of empty strings in single_quote().
  * Show line numbers on all errors.
  * Function names must be valid identifiers.
  * Removed unused dependency on groff.
  * Fixed race condition before entering a function.
  * Fixed getopts initialisation for functions.
  * Added memory barriers in INT macros.
  * Banned empty compound lists in most places.
  * Keep usage counters on functions (closes: #164234).
  * Updated copyright file.
  * Check evalskip in evalstring (closes: #165056).
  * Merged changes from NetBSD 1.6:
   . Added intmax support in printf(1).
   . Implemented set -u.

 -- Herbert Xu <herbert@debian.org>  Sat, 19 Oct 2002 14:23:11 +1000

dash (0.4.1) unstable; urgency=low

  * Removed extra new line in command -v output for aliases.
  * Removed alais prefix in the output of alias.
  * Recognise octal and hex numbers in arith expansion (closes: #151449).
  * Added sh(1) entries for echo, printf and test (closes: #156446).
  * Renamed to dash --- the Debian Almquist Shell.
  * Cleaned up rules file (Matej Vela).
  * Check mtime instead of size in chkmail per POSIX.
  * Added support for LFS (closes: #157884).
  * Added SuS options to cd and pwd (closes: #145828).

 -- Herbert Xu <herbert@debian.org>  Fri, 13 Sep 2002 20:35:06 +1000

ash (0.3.8-38) unstable; urgency=low

  * Turned pre-dependency to dependency in udeb since the former is not allowed
    (closes: #143749).

 -- Herbert Xu <herbert@debian.org>  Sun, 28 Apr 2002 11:59:05 +1000

ash (0.3.8-37) unstable; urgency=low

  * Added Japanese debconf translation (Tomohiro KUBOTA, closes: #137431).
  * Added missing escapes in manual page (Aaron Schrab, closes: #137966).
  * Added Russian debconf translation (Ilgiz Kalmetev, closes: #137618).
  * Fixed trap(1) documentation (closes: #140973).
  * Do not abort if getcwd fails.

 -- Herbert Xu <herbert@debian.org>  Wed,  3 Apr 2002 20:58:09 +1000

ash (0.3.8-36) unstable; urgency=low

  * Added library dependency for ash-udeb.
  * Handle null case statements correctly.
  * Fixed alias expansions in case statements (NetBSD).
  * Disabled unused jobid command.
  * Corrected documentation about shifting too much.
  * Added French debconf translation (Denis Barbier, closes: #134625).
  * Updated Spanish debconf translation (Carlos Valdivia, closes: #136366).

 -- Herbert Xu <herbert@debian.org>  Sat,  2 Mar 2002 18:31:22 +1100

ash (0.3.8-35) unstable; urgency=low

  * Moved PWD initialisation into var.c (closes: #124032).

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Dec 2001 09:34:55 +1100

ash (0.3.8-34) unstable; urgency=low

  * NSEMI must be NOR + 1.
  * Set exitstatus to zero before evaluating cases (closes: #124066).
  * Explicitly set default answer of the ash/sh question to false so that
    people whose debconf priority is set to low and who keeps banging on their
    keyboards don't accidently end up with ash as /bin/sh.

 -- Herbert Xu <herbert@debian.org>  Fri, 21 Dec 2001 20:30:49 +1100

ash (0.3.8-33) unstable; urgency=low

  * Added missing inclusion of bltin.h in bltin/times.c.

 -- Herbert Xu <herbert@debian.org>  Thu, 13 Dec 2001 18:46:07 +1100

ash (0.3.8-32) unstable; urgency=low

  * Back slashes in expansions are now escaped (closes: #121516).

 -- Herbert Xu <herbert@debian.org>  Wed, 28 Nov 2001 20:15:01 +1100

ash (0.3.8-31) unstable; urgency=low

  * Made sure all back slashes are escaped.

 -- Herbert Xu <herbert@debian.org>  Mon, 26 Nov 2001 19:10:27 +1100

ash (0.3.8-30) unstable; urgency=low

  * Restored fnmatch(3) code.
  * Treat escaped slashes correctly while globbing.
  * Restored missing EV_EXIT check in evalcommand (closes: #120364).
  * Fixed stack corruption in _rmescapes.

 -- Herbert Xu <herbert@debian.org>  Sun, 25 Nov 2001 17:51:19 +1100

ash (0.3.8-29) unstable; urgency=low

  * Added missing va_end in fmtstr (NetBSD).
  * Removed shellproc crap.
  * Updated Swedish debconf translation (Mikael Hedin, closes: #116097).
  * Updated German debconf translation (Andreas Metzler, closes: #117160).
  * Break now treats illegal numbers according to SuS.
  * Errors in special builtins now rise to the top.
  * Normal redirection errors no longer abort the shell.
  * Functions now have the same variable assignment properties as special
    builtins.

 -- Herbert Xu <herbert@debian.org>  Sat,  3 Nov 2001 11:36:36 +1100

ash (0.3.8-28) unstable; urgency=low

  * Local variables are now unset properly in shprocvar() (closes: #114917).

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Oct 2001 14:07:21 +1000

ash (0.3.8-27) unstable; urgency=low

  * Kill no longer aborts if it fails to kill someone.

 -- Herbert Xu <herbert@debian.org>  Sun, 30 Sep 2001 22:20:36 +1000

ash (0.3.8-26) unstable; urgency=low

  * The sh.1.gz diversion now agrees with reality (closes: #113831).

 -- Herbert Xu <herbert@debian.org>  Sat, 29 Sep 2001 08:43:27 +1000

ash (0.3.8-25) unstable; urgency=low

  * Only read ENV if the shell is interactive (closes: #110421).

 -- Herbert Xu <herbert@debian.org>  Wed, 29 Aug 2001 19:18:53 +1000

ash (0.3.8-24) unstable; urgency=low

  * Handle SIGINT when waiting even if there is no trap (closes: #107699).
  * Protect all makejob/forkshell/waitforjobs sequences from SIGINT.
  * Work around gcc bug that generates bad ..ng references (closes: #107994).

 -- Herbert Xu <herbert@debian.org>  Wed,  8 Aug 2001 20:28:28 +1000

ash (0.3.8-23) unstable; urgency=low

  * Fixed fence post error in scanleft (closes: #107229).
  * Removed stunalloc in expname as it interferes with addfname.
  * Fixed CTLESC skipping in scanright.

 -- Herbert Xu <herbert@debian.org>  Thu,  2 Aug 2001 20:06:00 +1000

ash (0.3.8-22) unstable; urgency=low

  * Fixed trailing back slash bug in echo/printf (closes: #106693).
  * Some quoted's are meant to be quotes.
  * Added Brazilian translation (Andre Luis Lopes, closes: #107041).

 -- Herbert Xu <herbert@debian.org>  Mon, 30 Jul 2001 20:21:52 +1000

ash (0.3.8-21) unstable; urgency=low

  * Fixed EV_EXIT/redirection bugs that caused core dumps.

 -- Herbert Xu <herbert@debian.org>  Sat, 28 Jul 2001 17:03:28 +1000

ash (0.3.8-20) unstable; urgency=low

  * Don't save fd2 if job control is turned off.
  * Don't push redirections when EV_EXIT is set.
  * Fixed assignment recognition in the presence of back ticks.
  * Combined checkkwd and checkalias.

 -- Herbert Xu <herbert@debian.org>  Fri, 27 Jul 2001 22:29:41 +1000

ash (0.3.8-19) unstable; urgency=low

  * Recompute strings after growing in subevalvar (closes: #106050).

 -- Herbert Xu <herbert@debian.org>  Mon, 23 Jul 2001 21:16:50 +1000

ash (0.3.8-18) unstable; urgency=low

  * Added more space optimisations for udeb on i386.
  * Set stack mark in patmatch (closes: #106050).
  * Fixed theoretical bug in expari.

 -- Herbert Xu <herbert@debian.org>  Sat, 21 Jul 2001 20:08:15 +1000

ash (0.3.8-17) unstable; urgency=low

  * Don't complain about unknown escape codes in echo and printf
    (closes: #105659).
  * Updated build-time dependency on groff-base (closes: #105612).

 -- Herbert Xu <herbert@debian.org>  Wed, 18 Jul 2001 19:33:20 +1000

ash (0.3.8-16) unstable; urgency=low

  * Fixed backslash bug in new pattern matching code.

 -- Herbert Xu <herbert@debian.org>  Mon, 16 Jul 2001 21:47:39 +1000

ash (0.3.8-15) unstable; urgency=low

  * Added Swedish translation of templates (Martin Sj?n, closes: #103158).
  * Restored escape code support in echo.
  * Removed assignment builtins since it is at best undefined by the SuS and
    also can't be implemented consistently.
  * Removed extraneous volatile modifier (closes: #104518).
  * General overhaul of word expansion (closes: #96588).
  * Redirection prefixes no longer stop assignments from being recognised.

 -- Herbert Xu <herbert@debian.org>  Sun, 15 Jul 2001 17:27:03 +1000

ash (0.3.8-14) unstable; urgency=low

  * Divert sh.1.gz to sh.distrib.1.gz (closes: #102251).
  * Added HETIO support for ^D and ^U (Aaron Lehmann, closes: #102215).
  * Added Spaniash translation of debconf templates (Carlos Valdivia Yag\00e,
    closes: #103040).
  * Added versioned build-time dependency on groff.

 -- Herbert Xu <herbert@debian.org>  Mon,  2 Jul 2001 19:32:03 +1000

ash (0.3.8-13) unstable; urgency=low

  * Fixed a bug where errors in pipelines which are part of andor lists were
    not ignored when -e is in effect.

 -- Herbert Xu <herbert@debian.org>  Mon, 25 Jun 2001 19:40:27 +1000

ash (0.3.8-12) unstable; urgency=low

  * Rewrote arith_lex.l in C (Aaron Lehmann, closes: #101741).
  * && and || in arithmetic expansions now return either 0 or 1.

 -- Herbert Xu <herbert@debian.org>  Sun, 24 Jun 2001 20:14:29 +1000

ash (0.3.8-11) unstable; urgency=low

  * Check for NULL argument in evaltree() (closes: #98865, #98867).

 -- Herbert Xu <herbert@debian.org>  Sun, 27 May 2001 17:53:14 +1000

ash (0.3.8-10) unstable; urgency=low

  * Use /bin/ash in postinst to sidestep bugs in other shells (closes: #98739).
  * Exit status is now tested on non-negated pipelines (closes: #98736).

 -- Herbert Xu <herbert@debian.org>  Sat, 26 May 2001 23:56:07 +1000

ash (0.3.8-9) unstable; urgency=medium

  * IFS is now fetched using bltinlookup() again in read (closes: #98343).
  * Divert sh(1) man page as well as /bin/sh (closes: #98525).

 -- Herbert Xu <herbert@debian.org>  Fri, 25 May 2001 20:30:06 +1000

ash (0.3.8-8) unstable; urgency=low

  * Fixed diversion removal in prerm (duh, closes: #98031).

 -- Herbert Xu <herbert@debian.org>  Mon, 21 May 2001 20:52:48 +1000

ash (0.3.8-7) unstable; urgency=low

  * Fixed diversion test in prerm (closes: #98031).

 -- Herbert Xu <herbert@debian.org>  Sun, 20 May 2001 12:30:53 +1000

ash (0.3.8-6) unstable; urgency=low

  * Make sure that fd2 is closed when clearing redirects (closes: #96619).
  * Fixed memory corruption in stunalloc().
  * The output of export/readonly/set is now correctly quoted.
  * Fixed newline eating bug in expbackq().
  * Set OLDPWD.
  * Removed ash-medium as neither bf or di uses it.
  * Wait now waits for all its argument rather than the first one.
  * Wait will exit with 129 when interrupted by a signal for a which a trap has
    been set.

 -- Herbert Xu <herbert@debian.org>  Fri, 18 May 2001 21:51:41 +1000

ash (0.3.8-5) unstable; urgency=low

  * Added German translation to template file (Sebastian Feltel,
    closes: #96203).
  * Added missing initialisation in setalias() (closes: #95433).

 -- Herbert Xu <herbert@debian.org>  Fri,  4 May 2001 20:54:31 +1000

ash (0.3.8-4) unstable; urgency=low

  * Disabled fnmatch code as fnmatch(3) in glibc is broken.
  * Fixed echo example in man page (Kalle Olavi Niemitalo, closes: #96014).
  * Fixed trailing semicolon bug with eval (NetBSD).
  * Fixed globbing inconsistency with broken symlinks (NetBSD).

 -- Herbert Xu <herbert@debian.org>  Wed,  2 May 2001 22:57:16 +1000

ash (0.3.8-3) unstable; urgency=low

  * Work around broken autoconf scripts (closes: #95430).

 -- Herbert Xu <herbert@debian.org>  Tue,  1 May 2001 18:27:50 +1000

ash (0.3.8-2) unstable; urgency=low

  * Save checkalias before calling xxreadtoken() (closes: #95628).

 -- Herbert Xu <herbert@debian.org>  Sun, 29 Apr 2001 17:36:01 +1000

ash (0.3.8-1) unstable; urgency=low

  * NetBSD-current version as of 20010316.
  * Removed code that sets IFS.
  * Fixed memory leak with PWD.
  * Set PPID.
  * Fixed inconsistencies in alias expansion.
  * Restored original output code.
  * Enabled fnmatch code again.
  * Added builtin printf.
  * Offer to divert /bin/sh (closes: #70462).

 -- Herbert Xu <herbert@debian.org>  Wed, 25 Apr 2001 22:32:39 +1000

ash (0.3.7-16) unstable; urgency=low

  * Fixed incorrect default IFS in readcmd (closes: #88950).
  * Added missing return in hashcmd.

 -- Herbert Xu <herbert@debian.org>  Fri,  9 Mar 2001 20:44:40 +1100

ash (0.3.7-15) unstable; urgency=low

  * Unknown escape codes are now prnted literally by echo (closes: #82869).
  * Made hetio_read_input() fail if fd is not stdin.
  * Some uses of VSQUOTE were really meant to be quotes (closes: #88777).
  * Build different ashes in different subdirectories.

 -- Herbert Xu <herbert@debian.org>  Thu,  8 Mar 2001 21:32:28 +1100

ash (0.3.7-14) unstable; urgency=low

  * Removed predependency from udeb (closes: #81995).
  * Added /bin/sh symlink to udeb (closes: #81967).

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Jan 2001 15:23:21 +1100

ash (0.3.7-13) unstable; urgency=low

  * Renamed the udeb to ash-udeb.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Dec 2000 19:32:34 +1100

ash (0.3.7-12) unstable; urgency=low

  * Added support for udebs (Randolph Chung, closes: #79237).

 -- Herbert Xu <herbert@debian.org>  Sat, 16 Dec 2000 13:53:28 +1100

ash (0.3.7-11) unstable; urgency=low

  * Preserve the previous exit status upon entering a function
    (closes: #78374).

 -- Herbert Xu <herbert@debian.org>  Sun,  3 Dec 2000 13:34:27 +1100

ash (0.3.7-10) unstable; urgency=low

  * Merged changes for GNU from Igor Khavkine.
  * Minimise the number of sigactions.

 -- Herbert Xu <herbert@debian.org>  Fri,  3 Nov 2000 20:31:52 +1100

ash (0.3.7-9) unstable; urgency=low

  * Predepend on the libraries.
  * Always save fd 2 when it is redirected (closes: #75302).

 -- Herbert Xu <herbert@debian.org>  Sun, 22 Oct 2000 08:40:40 +1100

ash (0.3.7-8) unstable; urgency=high

  * More redirection fixes (closes: #73613).

 -- Herbert Xu <herbert@debian.org>  Thu,  5 Oct 2000 18:22:17 +1100

ash (0.3.7-7) unstable; urgency=high

  * Added missing break in redirection code (closes: #72956).

 -- Herbert Xu <herbert@debian.org>  Tue,  3 Oct 2000 07:58:04 +1100

ash (0.3.7-6) unstable; urgency=low

  * command -[vV] no longer displays an error message on stdout.
  * Redirecting to /proc/self/fd/* now works (closes: #72852).

 -- Herbert Xu <herbert@debian.org>  Sun,  1 Oct 2000 12:56:39 +1100

ash (0.3.7-5) unstable; urgency=low

  * Implemented set -a.

 -- Herbert Xu <herbert@debian.org>  Sat, 30 Sep 2000 16:00:33 +1100

ash (0.3.7-4) unstable; urgency=low

  * Added build-time dependency on debhelper (closes: #69920).
  * Extended maximum length of arithmetic expansions to match 32-bit integers.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Sep 2000 14:28:16 +1100

ash (0.3.7-3) unstable; urgency=low

  * Switch to the old globbing code since glob(3) is hopelessly broken
    (closes: #69455).

 -- Herbert Xu <herbert@debian.org>  Mon, 21 Aug 2000 20:37:15 +1000

ash (0.3.7-2) unstable; urgency=low

  * Call glob(3) with GLOB_NOMAGIC (ouch).

 -- Herbert Xu <herbert@debian.org>  Sun,  6 Aug 2000 17:47:08 +1000

ash (0.3.7-1) unstable; urgency=low

  * NetBSD-current version as of 20000729.
  * Use fnmatch(3) and glob(3).
  * Fixed the use of backslashes in the pattern in parameter substitutions,
    hopefully for the last time.
  * Applied HETIO patch and built ash.medium (closes: #50788).  Will do ash.big
    when readline is fixed so that it doesn't leak anymore.

 -- Herbert Xu <herbert@debian.org>  Fri,  4 Aug 2000 21:36:44 +1000

ash (0.3.6-5) unstable; urgency=low

  * Fixed manpage entry for read with patch from Kevin Ryde (closes: #62500).
  * Fixed a file descriptor leak for pipelines.

 -- Herbert Xu <herbert@debian.org>  Wed, 19 Apr 2000 18:56:20 +1000

ash (0.3.6-4) unstable; urgency=low

  * Fixed the case of an empty command with redirections.

 -- Herbert Xu <herbert@debian.org>  Fri,  7 Apr 2000 12:07:18 +1000

ash (0.3.6-3) unstable; urgency=low

  * ! is now recognised correctly.
  * Ash is now more strict on the syntax, e.g., a lone ! is no longer accepted
    as an alternative to ! true.

 -- Herbert Xu <herbert@debian.org>  Fri,  7 Apr 2000 10:46:06 +1000

ash (0.3.6-2) unstable; urgency=low

  * Fixed a problem with fmtstr() which broke getopts.

 -- Herbert Xu <herbert@debian.org>  Sun,  2 Apr 2000 10:49:26 +1000

ash (0.3.6-1) unstable; urgency=low

  * NetBSD-current version as of 20000326.
  * Added a Build-Depends on groff (closes: #61041).
  * Implemented noclobber (closes: #59028).
  * Rewrote output.c to use stream IO.

 -- Herbert Xu <herbert@debian.org>  Sat,  1 Apr 2000 19:24:31 +1000

ash (0.3.5-10) frozen unstable; urgency=low

  * Don't stat mail boxes in non-interactive mode (closes: #59213).
  * Added an fflush(stdout) to the times builtin (closes: #59027).
  * Documented the times builtin.
  * Added source depends.

 -- Herbert Xu <herbert@debian.org>  Sat, 18 Mar 2000 18:58:44 +1100

ash (0.3.5-9) unstable; urgency=low

  * Double quotes inside paramater substitutions inside double quotes are now
    ignored as in bash (the originial behaviour was POSIX compliant too but
    IMHO this one makes a little bit more sense).
    This one broke mwm (but it was actually mwm's fault).
  * Corrected backslash/CTLESC treatment for patterns in parameter
    substitutions.

 -- Herbert Xu <herbert@debian.org>  Sat,  6 Nov 1999 18:13:19 +1100

ash (0.3.5-8) unstable; urgency=low

  * Replaced use of echo -n in manual page with escape codes.
  * Made FHS compliant (closes: #47978).
  * Restored echo's option processing ability.

 -- Herbert Xu <herbert@debian.org>  Fri, 22 Oct 1999 10:20:58 +1000

ash (0.3.5-7) unstable; urgency=low

  * echo no longer supports options.
  * Don't quote patterns inside parameter substitutions enclosed by double
    quotes (closes: #47842).

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Oct 1999 20:28:14 +1000

ash (0.3.5-6) unstable; urgency=low

  * Use getcwd() instead of /bin/pwd -- Zack Weinberg (closes: #46981).

 -- Herbert Xu <herbert@debian.org>  Sun, 10 Oct 1999 16:31:49 +1000

ash (0.3.5-5) unstable; urgency=low

  * Only test for -e on simple commands (fixes #44559).

 -- Herbert Xu <herbert@debian.org>  Wed,  8 Sep 1999 22:18:27 +1000

ash (0.3.5-4) unstable; urgency=low

  * Don't wait for stopped children if job control is disabled (fixes #42814).
  * Allow an option '(' in a case statement (fixes #42364).

 -- Herbert Xu <herbert@debian.org>  Thu, 12 Aug 1999 23:30:30 +1000

ash (0.3.5-3) unstable; urgency=low

  * OK, the fix to the esoteric problem in 0.3.5-1 actually breaks VSASSIGN
    and VSQUESTION, they should work properly now (fixes #41327).

 -- Herbert Xu <herbert@debian.org>  Thu, 15 Jul 1999 22:47:13 +1000

ash (0.3.5-2) unstable; urgency=low

  * PATH search and execution is now correct.
  * hash no longer shows builtins.
  * Added kill builtin.
  * New description from James R. van Zandt reformatted by Josip Rodin.

 -- Herbert Xu <herbert@debian.org>  Mon, 12 Jul 1999 18:51:42 +1000

ash (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * Adapted to new pmake (fixes #38737).
  * Fixed behvaiour of backslashes preceding a closing brace for a parameter
    substituion inside double quotes (even bash messes this one up :).
  * Fixed command (fixes #34639).
  * Fixed a pipe bug where stdin may be wrongly closed (fixes #35452).
  * Revamped getopts (fixes #39694).

 -- Herbert Xu <herbert@debian.org>  Sun,  4 Jul 1999 12:19:01 +1000

ash (0.3.4-7) unstable; urgency=low

  * Fixed a glibc 2.1 compatitibility problem.
  * Fixed a PWD inconsistency that stuffed up the kernel compilation.

 -- Herbert Xu <herbert@debian.org>  Mon, 17 May 1999 23:14:57 +1000

ash (0.3.4-6) unstable; urgency=low

  * Fixed incorrect -e test due to the last bug fix (fixes #26509).

 -- Herbert Xu <herbert@debian.org>  Tue,  8 Sep 1998 10:02:46 +1000

ash (0.3.4-5) unstable; urgency=low

  * Use test_eaccess from bash instead of access(2) (fixes #26110).

 -- Herbert Xu <herbert@debian.org>  Wed, 26 Aug 1998 21:22:49 +1000

ash (0.3.4-4) unstable; urgency=low

  * Only upload to unstable.

 -- Herbert Xu <herbert@debian.org>  Tue,  5 May 1998 18:01:02 +1000

ash (0.3.4-3) frozen unstable; urgency=low

  * Applied sparc patch (fixes #21562).

 -- Herbert Xu <herbert@debian.org>  Fri,  1 May 1998 19:48:13 +1000

ash (0.3.4-2) frozen unstable; urgency=low

  * Fixed the incorrect trap fixes (fixes #20363).

 -- Herbert Xu <herbert@debian.org>  Thu, 16 Apr 1998 21:07:10 +1000

ash (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Reverted word splitting change in 0.3.2-1 since the fix was broken and
    major work (the quote removal is done too quickly at the moment) is needed
    to fix it properly.
  * Fixed more trap noncompliance.

 -- Herbert Xu <herbert@debian.org>  Thu, 19 Mar 1998 22:59:12 +1100

ash (0.3.2-5) unstable; urgency=low

  * Fixed a bug when doing pattern matching in parameter expansions.

 -- Herbert Xu <herbert@debian.org>  Tue, 10 Mar 1998 21:25:40 +1100

ash (0.3.2-4) unstable; urgency=low

  * Allow ] to be quoted in bracket expressions (fixes #17533).
  * Move dh_fixperms to second last spot (fixes #18267).
  * Don't do field splitting in evalfor.

 -- Herbert Xu <herbert@debian.org>  Tue, 17 Feb 1998 13:32:09 +1100

ash (0.3.2-3) unstable; urgency=low

  * Fixed stupid core dump.

 -- Herbert Xu <herbert@debian.org>  Wed, 11 Feb 1998 21:33:55 +1100

ash (0.3.2-2) unstable; urgency=low

  * Hack for special builtins (fixes #18055).
  * Hack for command.

 -- Herbert Xu <herbert@debian.org>  Wed, 11 Feb 1998 21:19:46 +1100

ash (0.3.2-1) unstable; urgency=low

  * NetBSD-current version as of 19980209.
  * Fixed a word splitting problem after parameter expansion thanks to Alexey
    Marinichev.
  * Converted to debhelper (fixes #14612, #15005).

 -- Herbert Xu <herbert@debian.org>  Mon,  9 Feb 1998 16:53:48 +1100

ash (0.3.1-20) unstable; urgency=low

  * Fixed -e problem with eval.

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Dec 1997 20:19:00 +1100

ash (0.3.1-19) unstable; urgency=low

  * Fixed -e problem with command substitution.

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Dec 1997 19:44:49 +1100

ash (0.3.1-18) unstable; urgency=low

  * Do not link with ncurses (#15485).

 -- Herbert Xu <herbert@debian.org>  Sun, 30 Nov 1997 12:00:11 +1100

ash (0.3.1-17) unstable; urgency=low

  * Set PATH like bash (#15238).

 -- Herbert Xu <herbert@debian.org>  Wed, 26 Nov 1997 16:17:27 +1100

ash (0.3.1-16) unstable; urgency=low

  * Fixed incorrect assignment builtin code.

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Nov 1997 16:19:10 +1100

ash (0.3.1-15) unstable; urgency=low

  * hash now returns error codes (needed by the Linux kernel).

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Nov 1997 21:37:08 +1100

ash (0.3.1-14) unstable; urgency=low

  * Disabled word-splitting for assignment builtins.

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Nov 1997 12:45:15 +1100

ash (0.3.1-13) unstable; urgency=low

  * ! is now recognised even after &&/||.

 -- Herbert Xu <herbert@debian.org>  Fri, 21 Nov 1997 22:09:05 +1100

ash (0.3.1-12) unstable; urgency=low

  * More fixes to the handling of SIGINT when forking.

 -- Herbert Xu <herbert@debian.org>  Fri, 14 Nov 1997 15:14:32 +1100

ash (0.3.1-11) unstable; urgency=low

  * Ignore SIGINT when forking non-interactively.

 -- Herbert Xu <herbert@debian.org>  Mon,  3 Nov 1997 12:00:02 +1100

ash (0.3.1-10) unstable; urgency=low

  * echo now handles options correctly.
  * echo nolonger returns 0 if erorrs occured while writing to stdout.
  * New code from GNU echo merged.
  * Error messages from test now work.

 -- Herbert Xu <herbert@debian.org>  Wed,  8 Oct 1997 21:47:13 +1000

ash (0.3.1-9) unstable; urgency=low

  * ! is recognised at pipeline level like bash.

 -- Herbert Xu <herbert@debian.org>  Mon, 15 Sep 1997 23:13:45 +1000

ash (0.3.1-8) unstable; urgency=medium

  * Old patch regarding SIGCHLD in again.

 -- Herbert Xu <herbert@debian.org>  Sun, 31 Aug 1997 11:20:27 +1000

ash (0.3.1-7) unstable; urgency=low

  * /bin/sh -e is behaving even better now (for loops within conditionals).

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Aug 1997 22:08:19 +1000

ash (0.3.1-6) unstable; urgency=low

  * /bin/sh -e is behaving better now.

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Aug 1997 13:16:26 +1000

ash (0.3.1-5) unstable; urgency=low

  * hash -v /dir/command doesn't coredump anymore.
  * type /dir/command now works correctly.

 -- Herbert Xu <herbert@debian.org>  Fri,  1 Aug 1997 20:48:19 +1000

ash (0.3.1-4) unstable; urgency=low

  * trap now understands symbolic signal names.

 -- Herbert Xu <herbert@debian.org>  Sat, 26 Jul 1997 14:04:46 +1000

ash (0.3.1-3) unstable; urgency=low

  * Added the builtin test command.

 -- Herbert Xu <herbert@debian.org>  Sun, 20 Jul 1997 15:00:14 +1000

ash (0.3.1-2) unstable; urgency=medium

  * Fixed a coredump involving $*.

 -- Herbert Xu <herbert@debian.org>  Sat, 19 Jul 1997 12:03:02 +1000

ash (0.3.1-1) unstable; urgency=medium

  * NetBSD-current version as of 19970715.
  * Fixed a "use after free" bug (#11294).

 -- Herbert Xu <herbert@debian.org>  Fri, 18 Jul 1997 13:48:09 +1000

ash (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Herbert Xu <herbert@debian.org>  Thu, 19 Jun 1997 19:29:16 +1000
